Package com.microsoft.sqlserver.jdbc

# Interface ISQLServerBulkData

All Superinterfaces:
  `Serializable`

All Known Subinterfaces:
  `ISQLServerBulkRecord`

All Known Implementing Classes:
  `SQLServerBulkCSVFileRecord`

public interface ISQLServerBulkData extends Serializable
Provides an interface used to create classes that read in data from any source (such as a file) and allows a SQLServerBulkCopy class to write the data to SQL Server tables.

## Method Summary

Modifier and Type
Method
Description
`String`
`getColumnName​(int column)`
Returns the name of the given column.
`Set<Integer>`
`getColumnOrdinals()`
Returns the ordinals for each of the columns represented in this data record.
`int`
`getColumnType​(int column)`
Returns the JDBC data type of the given column.
`int`
`getPrecision​(int column)`
Returns the precision for the given column.
`Object[]`
`getRowData()`
Returns the data for the current row as an array of Objects.
`int`
`getScale​(int column)`
Returns the scale for the given column.
`boolean`
`next()`
Advances to the next data row.

## Method Details

### getColumnOrdinals

Set<Integer> getColumnOrdinals()
Returns the ordinals for each of the columns represented in this data record.

Returns:
  Set of ordinals for the columns.

### getColumnName

String getColumnName​(int column)
Returns the name of the given column.

Parameters:
  `column` - Column ordinal
Returns:
  Name of the column

### getColumnType

int getColumnType​(int column)
Returns the JDBC data type of the given column.

Parameters:
  `column` - Column ordinal
Returns:
  JDBC data type of the column

### getPrecision

int getPrecision​(int column)
Returns the precision for the given column.

Parameters:
  `column` - Column ordinal
Returns:
  Precision of the column

### getScale

int getScale​(int column)
Returns the scale for the given column.

Parameters:
  `column` - Column ordinal
Returns:
  Scale of the column

### getRowData

Object[] getRowData() throws SQLException
Returns the data for the current row as an array of Objects. Each Object must match the Java language Type that is used to represent the indicated JDBC data type for the given column. For more information, see 'Understanding the JDBC Driver Data Types' for the appropriate mappings.

Returns:
  The data for the row.
Throws:
  `SQLServerException` - If there are any errors in obtaining the data.
  `SQLException`

### next

boolean next() throws SQLException
Advances to the next data row.

Returns:
  True if rows are available; false if there are no more rows
Throws:
  `SQLServerException` - If there are any errors in advancing to the next row.
  `SQLException`